﻿using System;
using System.ComponentModel;
using System.Windows.Forms;

namespace WindowsFormsApplication4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            var rows=new BindingList<RowItem>
                                          {
                                              new RowItem{Prop1 = "prop 1 row 1", Prop2 = "prop 2 row 1", Prop3 = "prop 3 row 1"},
                                              new RowItem{Prop1 = "prop 1 row 2", Prop2 = "prop 2 row 2", Prop3 = "prop 3 row 2"},
                                              new RowItem{Prop1 = "prop 1 row 3", Prop2 = "prop 2 row 3", Prop3 = "prop 3 row 3"}
                                          };
            testSource.DataSource = rows;
        }

        private void TestListAfterRowActivate(object sender, EventArgs e)
        {
            testList.ActiveRow.Selected = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            testSource.MovePrevious();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            testSource.MoveNext();
        }
    }

    public class RowItem
    {
        public string Prop1 { get; set; }
        public string Prop2 { get; set; }
        public string Prop3 { get; set; }
    }
}
